<?php
# Copyright  2005 - 2015 SLAED
# Website: http://www.slaed.net

if (!defined("BLOCK_FILE")) {
	header("Location: ../index.php");
	exit;
}

global $prefix, $db;
$strip = 25;
$content = "<table class=\"sl_table_list\"><thead class=\"sl_table_list_head\"><tr><th>"._NEWS."</th><th>"._FILES."</th></tr></thead><tbody class=\"sl_table_list_body\">";

// Last NEWS
$content .= "<tr><td>";
$result = $db->sql_query("SELECT s.sid, s.catid, s.name, s.title, UNIX_TIMESTAMP(s.time) as formatted, s.hometext, s.bodytext, s.comments, s.counter, s.acomm, s.score, s.ratings, c.title, c.description, c.img FROM ".$prefix."_news AS s LEFT JOIN ".$prefix."_categories AS c ON (s.catid = c.id) WHERE s.time <= NOW() AND s.status != '0' ORDER BY s.fix DESC, s.time DESC LIMIT 5");
while(list($id, $cid, $uname, $stitle, $time, $hometext, $bodytext, $comm, $counter, $acomm, $score, $ratings, $ctitle, $cdesc, $cimg) = $db->sql_fetchrow($result)) {
	$linkstrip = cutstr($stitle, $strip);
	$hometext = cutstr($hometext, $strip);
   	$thref = getHref(array('name='.$conf['name'].'&op=view&id='.$id, $time, '', $stitle, $hometext.$bodytext, $ctitle, $cdesc, $cimg));
	$chref = getHref(array('name='.$conf['name'].'&cat='.$cid, '', '', '', '', $ctitle, $cdesc, $cimg));
	$cdesc = ($cdesc) ? $cdesc : $ctitle;
	$ctitle = ($ctitle) ? '<a href="'.$chref.'" title="'.$cdesc.'" class="sl_cat">'.cutstr($ctitle, 15).'</a>' : '';
	$cimg = ($cimg) ? img_find('categories/'.$cimg) : '';
	$cimg = ($cimg) ? '<a href="'.$chref.'" title="'.$cdesc.'" class="sl_icat"><img src="'.$cimg.'" alt="'.$cdesc.'" title="'.$cdesc.'"></a>' : '';
	$content .= "<table><tr><td>".$cimg."</td><td><a href=\"index.php?name=news&amp;op=view&amp;id=".$id."\" title=\"".$title."\">".$linkstrip."</a><p>$hometext</p><p>".$ctitle."  ".date("d.m.Y H:i", $time)."</p></td></tr></table>";
}

// Last added pages
$content .= "</td><td>";

$result = $db->sql_query("SELECT f.lid, f.cid, f.name, f.title, f.description, f.bodytext, UNIX_TIMESTAMP(f.date) as formatted, f.counter, f.acomm, f.votes, f.totalvotes, f.totalcomments, f.hits, c.title, c.description, c.img FROM ".$prefix."_files AS f LEFT JOIN ".$prefix."_categories AS c ON (f.cid = c.id) WHERE f.date <= NOW() AND f.status != '0' ORDER BY f.date DESC LIMIT 5");
while(list($id, $cid, $uname, $stitle, $description, $bodytext, $time, $counter, $acomm, $votes, $totalvotes, $comm, $hits, $ctitle, $cdesc, $cimg) = $db->sql_fetchrow($result)) {
	$linkstrip = cutstr($stitle, $strip);
    $description = cutstr($description, $strip);
	$thref = getHref(array('name='.$conf['name'].'&op=view&id='.$id, $time, '', $stitle, $description.$bodytext, $ctitle, $cdesc, $cimg));
	$chref = getHref(array('name='.$conf['name'].'&cat='.$cid, '', '', '', '', $ctitle, $cdesc, $cimg));
	$cdesc = ($cdesc) ? $cdesc : $ctitle;
	$ctitle = ($ctitle) ? '<a href="'.$chref.'" title="'.$cdesc.'" class="sl_cat">'.cutstr($ctitle, 15).'</a>' : '';
	$cimg = ($cimg) ? img_find('categories/'.$cimg) : '';
	$cimg = ($cimg) ? '<a href="'.$chref.'" title="'.$cdesc.'" class="sl_icat"><img src="'.$cimg.'" alt="'.$cdesc.'" title="'.$cdesc.'"></a>' : '';

	$content .= "<table><tr><td>".$cimg."</td><td><a href=\"index.php?name=files&amp;op=view&amp;id=".$id."\" title=\"".$stitle."\">".$linkstrip."</a><p>$description</p><p>".$ctitle."  ".date("d.m.Y H:i", $time)."</p></td></tr></table>";

}


$content .= "</td></tr></tbody></table>";

?>